> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metrics tree details

> Get details of a saved metrics tree including nodes and edges



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/dataCatalog/metrics/trees/{metricsTreeUuidOrSlug}
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/dataCatalog/metrics/trees/{metricsTreeUuidOrSlug}:
    get:
      tags:
        - Catalog
      summary: Get metrics tree details
      description: Get details of a saved metrics tree including nodes and edges
      operationId: getMetricsTreeDetails
      parameters:
        - in: path
          name: projectUuid
          required: true
          schema:
            type: string
        - in: path
          name: metricsTreeUuidOrSlug
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetMetricsTreeResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiGetMetricsTreeResponse:
      properties:
        results:
          $ref: '#/components/schemas/MetricsTreeWithDetails'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    MetricsTreeWithDetails:
      allOf:
        - $ref: '#/components/schemas/MetricsTree'
        - properties:
            lock:
              allOf:
                - $ref: '#/components/schemas/MetricsTreeLockInfo'
              nullable: true
            edges:
              items:
                $ref: '#/components/schemas/CatalogMetricsTreeEdge'
              type: array
            nodes:
              items:
                $ref: '#/components/schemas/MetricsTreeNode'
              type: array
          required:
            - lock
            - edges
            - nodes
          type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    MetricsTree:
      properties:
        generation:
          type: number
          format: double
        updatedAt:
          type: string
          format: date-time
        createdAt:
          type: string
          format: date-time
        updatedByUserUuid:
          type: string
          nullable: true
        createdByUserUuid:
          type: string
          nullable: true
        source:
          $ref: '#/components/schemas/MetricsTreeSource'
        description:
          type: string
          nullable: true
        name:
          type: string
        slug:
          type: string
        projectUuid:
          type: string
        metricsTreeUuid:
          type: string
      required:
        - generation
        - updatedAt
        - createdAt
        - updatedByUserUuid
        - createdByUserUuid
        - source
        - description
        - name
        - slug
        - projectUuid
        - metricsTreeUuid
      type: object
    MetricsTreeLockInfo:
      properties:
        acquiredAt:
          type: string
          format: date-time
        lockedByUserName:
          type: string
        lockedByUserUuid:
          type: string
      required:
        - acquiredAt
        - lockedByUserName
        - lockedByUserUuid
      type: object
    CatalogMetricsTreeEdge:
      properties:
        createdFrom:
          $ref: '#/components/schemas/MetricsTreeSource'
        projectUuid:
          type: string
        createdByUserUuid:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        target:
          $ref: '#/components/schemas/CatalogMetricsTreeNode'
        source:
          $ref: '#/components/schemas/CatalogMetricsTreeNode'
      required:
        - createdFrom
        - projectUuid
        - createdByUserUuid
        - createdAt
        - target
        - source
      type: object
    MetricsTreeNode:
      allOf:
        - $ref: '#/components/schemas/MetricsTreeNodePosition'
        - properties:
            source:
              $ref: '#/components/schemas/MetricsTreeSource'
            tableName:
              type: string
            name:
              type: string
          required:
            - source
            - tableName
            - name
          type: object
    MetricsTreeSource:
      type: string
      enum:
        - ui
        - yaml
    CatalogMetricsTreeNode:
      $ref: >-
        #/components/schemas/Pick_CatalogField.catalogSearchUuid-or-name-or-tableName_
    MetricsTreeNodePosition:
      properties:
        yPosition:
          type: number
          format: double
          nullable: true
        xPosition:
          type: number
          format: double
          nullable: true
        catalogSearchUuid:
          type: string
      required:
        - yPosition
        - xPosition
        - catalogSearchUuid
      type: object
    Pick_CatalogField.catalogSearchUuid-or-name-or-tableName_:
      properties:
        name:
          type: string
        tableName:
          type: string
        catalogSearchUuid:
          type: string
      required:
        - name
        - tableName
        - catalogSearchUuid
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````